# python-cysignals

When writing [Cython](http://cython.org/) code, special care must be taken to
ensure that the code can be interrupted with `CTRL-C`.  Since Cython optimizes
for speed, Cython normally does not check for interrupts.  For example, code
like the following cannot be interrupted in Cython:

```
    while True:
        pass
```

The [cysignals](https://github.com/sagemath/cysignals) package provides
mechanisms to handle interrupts (and other signals and errors) in Cython code.
